#pragma once
#include "PGJsonObject.h"

//-----------------------------------------------------------------------------
/**
@brief JSON コマンド(単数)

単数形の JSON コマンドの情報を保持します。
*/
class PGJsonCommand : public PGJsonObjectHasList
{
  public:
	PGJsonCommand( const SGString &type );
};

//-----------------------------------------------------------------------------
/**
@brief JSON コマンド(複数)

複数形の JSON コマンドの情報を保持します。
*/
class PGJsonCommands : public PGJsonObjectHasList
{
  public:
	PGJsonCommands(); ///< @brief コンストラクタ
};

